package cc.niushuai.gasweb.entity;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * data
 *
 * @author niushuai233
 * @date: 2022/12/16 21:36
 */
@Data
public class ChartResp {

    private String title;
    private List<Data> data = new ArrayList<>();

    public ChartResp(String title) {
        this.title = title;
    }

    @lombok.Data
    @AllArgsConstructor
    public static class Data {
        private String x;
        private String y;

        public String getY() {
            return y
                    .replace("ppm", "")
                    .replace("ppb", "")
                    .replace("°C", "")
                    ;
        }
    }
}
