// 包装options
function getOption(title, xData, yData, unit) {
    return {
        title: {
            text: title
        },
        tooltip: {
            show: true,
            trigger: 'item',
            formatter: '时间点: {b0}<br />当前值: {c0}' + unit,
        },
        dataZoom: [{
            id: "slider",
            type: 'slider'
        }],
        xAxis: {
            type: 'category',
            data: xData
        },
        yAxis: {
            type: 'value'
        },
        series: [
            {
                data: yData,
                type: 'line',
                smooth: true
            }
        ]
    };
}


function rebuildChart(instance, data, unit) {

    var xData = data.data.map(item => item.x);
    var yData = data.data.map(item => item.y);

    // coChart.setOption(getOption('CO浓度', ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'], [820, 932, 901, 934, 1290, 1330, 1320]));
    instance.setOption(getOption(data.title, xData, yData, unit));
    console.log('rebuild chart', instance, data.title);
}